Page MenuHomePhabricator

Set new namespace aliases for es.wikibooks
Closed, ResolvedPublic

Description

Local discussion.

WL → NS_PROJECT
CAT → NS_CATEGORY

Taking care of this one. Lowest priority for now.

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 14 2019, 2:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio triaged this task as Lowest priority.Feb 14 2019, 2:50 PM
MarcoAurelio updated the task description. (Show Details)

@MarcoAurelio mind if I try to tackle this?

@MarcoAurelio mind if I try to tackle this?

Sorry for the late reply. I have been ill again, then became very busy; and still am. I can try to make a patch now for this. I'd like to verify first if there would be any namespace conflicts that need to be resolved before applying the patch. Thanks.

MarcoAurelio added a comment.EditedJun 10 2019, 10:31 AM

For WL:

MariaDB [eswikibooks_p]> select count(*) from page where page_title like 'WL:%';
+----------+
| count(*) |
+----------+
|       61 |
+----------+
1 row in set (0.52 sec)

MariaDB [eswikibooks_p]> select page_id,page_namespace,page_title from page where page_title like 'WL:%';
+---------+----------------+------------+
| page_id | page_namespace | page_title |
+---------+----------------+------------+
|   52093 |              0 | WL:A       |
|   52086 |              0 | WL:AO      |
|   28987 |              0 | WL:AWB     |
|   26206 |              0 | WL:B       |
|   52094 |              0 | WL:BA      |
|   30765 |              0 | WL:BOT     |
|   25788 |              0 | WL:BOT/A   |
|   28432 |              0 | WL:BOT/S   |
|   33518 |              0 | WL:BR      |
|   52098 |              0 | WL:BU      |
|   52092 |              0 | WL:BV      |
|   24767 |              0 | WL:C       |
|   27486 |              0 | WL:CAB     |
|   34895 |              0 | WL:CDB     |
|   52082 |              0 | WL:CMC     |
|   25004 |              0 | WL:CNU     |
|   33517 |              0 | WL:CSD     |
|   36203 |              0 | WL:CT      |
|   35648 |              0 | WL:CU      |
|   52085 |              0 | WL:DA      |
|   52076 |              0 | WL:E       |
|   36830 |              0 | WL:ED      |
|   52097 |              0 | WL:EU      |
|   34825 |              0 | WL:EV2011  |
|   42323 |              0 | WL:EV2015  |
|   52087 |              0 | WL:LR      |
|   52083 |              0 | WL:ME      |
|   52075 |              0 | WL:NAP     |
|   52089 |              0 | WL:ND      |
|   25175 |              0 | WL:NO      |
|   25176 |              0 | WL:NOES    |
|   25556 |              0 | WL:NOLC    |
|   25347 |              0 | WL:OTRS    |
|   52077 |              0 | WL:P       |
|   33516 |              0 | WL:PB      |
|   52080 |              0 | WL:PBF     |
|   33521 |              0 | WL:PBR     |
|   52100 |              0 | WL:PC      |
|   52088 |              0 | WL:PI      |
|   52101 |              0 | WL:PM      |
|   52090 |              0 | WL:PN      |
|   52070 |              0 | WL:PP      |
|   36139 |              0 | WL:PPD     |
|   52072 |              0 | WL:PS      |
|   52069 |              0 | WL:PVN     |
|   52074 |              0 | WL:PWP     |
|   36832 |              0 | WL:RE      |
|   38445 |              0 | WL:REV     |
|   38446 |              0 | WL:RV      |
|   52071 |              0 | WL:SP      |
|   24998 |              0 | WL:TAB     |
|   52099 |              0 | WL:U       |
|   52078 |              0 | WL:V       |
|   52073 |              0 | WL:VE      |
|   24764 |              0 | WL:VEC     |
|   52091 |              0 | WL:VI      |
|   24887 |              0 | WL:VN      |
|   53819 |              0 | WL:VOT     |
|   36834 |              0 | WL:VR      |
|   52084 |              0 | WL:ZP      |
|   57423 |              1 | WL:C       |
+---------+----------------+------------+
61 rows in set (0.02 sec)

For CAT:

MariaDB [eswikibooks_p]> select count(*) from page where page_title like 'CAT:%';
+----------+
| count(*) |
+----------+
|        3 |
+----------+
1 row in set (0.01 sec)

MariaDB [eswikibooks_p]> select page_id,page_namespace,page_title from page where page_title like 'CAT:%';
+---------+----------------+------------+
| page_id | page_namespace | page_title |
+---------+----------------+------------+
|   42363 |              0 | CAT:BR     |
|   37326 |              0 | CAT:MANT   |
|   36339 |              0 | CAT:POL    |
+---------+----------------+------------+
3 rows in set (0.02 sec)

Change 516195 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Set two new namespace aliases for es.wikibooks

https://gerrit.wikimedia.org/r/516195

Change 516195 merged by jenkins-bot:
[operations/mediawiki-config@master] Set two new namespace aliases for es.wikibooks

https://gerrit.wikimedia.org/r/516195

Mentioned in SAL (#wikimedia-operations) [2019-06-18T11:54:25Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:516195|Set two new namespace aliases for es.wikibooks]] (T216143) (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-06-18T11:55:39Z] <Urbanecm> running namespaceDupes.php for eswikibooks (T216143)

Urbanecm closed this task as Resolved.Jun 18 2019, 12:00 PM
Urbanecm added a subscriber: Urbanecm.

@MarcoAurelio As soon as conficts are resolved (I've prefixed all conflicting pages with the task number), should be done! Closing as it's done from the site request point of view.

wikiadmin@10.64.16.191(eswikibooks)> select page_namespace, page_title from page where page_title like "T216143%";
+----------------+-------------+
| page_namespace | page_title  |
+----------------+-------------+
|              4 | T216143AWB  |
|              4 | T216143OTRS |
+----------------+-------------+
2 rows in set (0.02 sec)

Also see T226036, had some problems with namespaceDupes.php.

I have fixed the conflicts by deleting them pages. Looks it's all resolved now. Thanks!